Debian Bug report logs - #562948
fails to upgrade

version graph

Package: python-qt-dev; Maintainer for python-qt-dev is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>;

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Tue, 29 Dec 2009 13:24:06 UTC

Severity: serious

Tags: patch

Found in version python-qt3/3.18.1-2

Fixed in version python-qt3/3.18.1-4

Done: Torsten Marek <shlomme@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#562948; Package python-qt-dev. (Tue, 29 Dec 2009 13:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 29 Dec 2009 13:24:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: fails to upgrade
Date: Tue, 29 Dec 2009 14:23:10 +0100
[Message part 1 (text/plain, inline)]
Package: python-qt-dev
Version: 3.18.1-2
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts piuparts.d.o

Hi, 

during a test with piuparts I noticed your package failed to upgrade. 

From the attached log (scroll to the bottom...):

  Preparing to replace python-qt-dev 3.17.4-1 
(using .../python-qt-dev_3.18.1-2_a
ll.deb) ...
  /var/lib/dpkg/tmp.ci/preinst: 9: pycentral: not found
  dpkg: error 
processing /var/cache/apt/archives/python-qt-dev_3.18.1-2_all.deb (--unpack):
   subprocess new pre-installation script returned error exit status 127
  Preparing to replace makedev 2.3.1-88 
(using .../makedev_2.3.1-89_all.deb) ...
  Unpacking replacement makedev ...
  Errors were encountered while processing:
   /var/cache/apt/archives/python-qt-dev_3.18.1-2_all.deb
  E: Sub-process /usr/bin/dpkg returned an error code (1)

and later

  Preparing to replace python-qt-dev 3.17.4-1 
(using .../python-qt-dev_3.18.1-2_a
  /var/lib/dpkg/tmp.ci/preinst: 9: pycentral: not found
  dpkg: error 
processing /var/cache/apt/archives/python-qt-dev_3.18.1-2_all.deb (
   subprocess new pre-installation script returned error exit status 127
  Preparing to replace makedev 2.3.1-88 
(using .../makedev_2.3.1-89_all.deb) ...
  Unpacking replacement makedev ...
  Errors were encountered while processing:
   /var/cache/apt/archives/python-qt-dev_3.18.1-2_all.deb
  E: Sub-process /usr/bin/dpkg returned an error code (1)


regards,
	Holger
[python-qt-dev_3.18.1-2.log (text/x-log, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#562948; Package python-qt-dev. (Sat, 23 Jan 2010 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 23 Jan 2010 09:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 562948@bugs.debian.org (full text, mbox):

From: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
To: 562948@bugs.debian.org, Holger Levsen <holger@layer-acht.org>
Cc: control@bugs.debian.org
Subject: Patch to add fallback and Depends
Date: Sat, 23 Jan 2010 18:30:58 +0900
[Message part 1 (text/plain, inline)]
package python-qt-dev
tags 562948 patch
thanks

Hello,

An attached patch adds to preinst file fallback code if pycentral not found
(which was in lenny's python-qt-dev prerm generated by dh_pycentral), and to
control file missing Depends.

Regards,

-- 
YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
[add_fallback_and_depends.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from YOSHINO Yoshihito <yy.y.ja.jp@gmail.com> to control@bugs.debian.org. (Sat, 23 Jan 2010 09:39:06 GMT) Full text and rfc822 format available.

Reply sent to Torsten Marek <shlomme@debian.org>:
You have taken responsibility. (Tue, 02 Feb 2010 23:09:07 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Tue, 02 Feb 2010 23:09:07 GMT) Full text and rfc822 format available.

Message #17 received at 562948-close@bugs.debian.org (full text, mbox):

From: Torsten Marek <shlomme@debian.org>
To: 562948-close@bugs.debian.org
Subject: Bug#562948: fixed in python-qt3 3.18.1-4
Date: Tue, 02 Feb 2010 23:06:21 +0000
Source: python-qt3
Source-Version: 3.18.1-4

We believe that the bug you reported is fixed in the latest version of
python-qt3, which is due to be installed in the Debian FTP archive:

pyqt-tools_3.18.1-4_amd64.deb
  to main/p/python-qt3/pyqt-tools_3.18.1-4_amd64.deb
python-qt-dev_3.18.1-4_all.deb
  to main/p/python-qt3/python-qt-dev_3.18.1-4_all.deb
python-qt3-dbg_3.18.1-4_amd64.deb
  to main/p/python-qt3/python-qt3-dbg_3.18.1-4_amd64.deb
python-qt3-doc_3.18.1-4_all.deb
  to main/p/python-qt3/python-qt3-doc_3.18.1-4_all.deb
python-qt3-gl-dbg_3.18.1-4_amd64.deb
  to main/p/python-qt3/python-qt3-gl-dbg_3.18.1-4_amd64.deb
python-qt3-gl_3.18.1-4_amd64.deb
  to main/p/python-qt3/python-qt3-gl_3.18.1-4_amd64.deb
python-qt3_3.18.1-4.debian.tar.gz
  to main/p/python-qt3/python-qt3_3.18.1-4.debian.tar.gz
python-qt3_3.18.1-4.dsc
  to main/p/python-qt3/python-qt3_3.18.1-4.dsc
python-qt3_3.18.1-4_amd64.deb
  to main/p/python-qt3/python-qt3_3.18.1-4_amd64.deb
python-qtext-dbg_3.18.1-4_amd64.deb
  to main/p/python-qt3/python-qtext-dbg_3.18.1-4_amd64.deb
python-qtext_3.18.1-4_amd64.deb
  to main/p/python-qt3/python-qtext_3.18.1-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 562948@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Marek <shlomme@debian.org> (supplier of updated python-qt3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Feb 2010 21:34:28 +0100
Source: python-qt3
Binary: python-qt3 python-qt3-dbg python-qt3-gl python-qt3-gl-dbg python-qtext python-qtext-dbg pyqt-tools python-qt-dev python-qt3-doc
Architecture: source amd64 all
Version: 3.18.1-4
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Torsten Marek <shlomme@debian.org>
Description: 
 pyqt-tools - pyuic and pylupdate for Qt3
 python-qt-dev - Qt bindings for Python - Development files
 python-qt3 - Qt3 bindings for Python
 python-qt3-dbg - Qt3 bindings for Python (debug extension)
 python-qt3-doc - Qt bindings for Python - Documentation and examples
 python-qt3-gl - Qt3 OpenGL bindings for Python
 python-qt3-gl-dbg - Qt3 OpenGL bindings for Python (debug extension)
 python-qtext - Qt extensions for PyQt
 python-qtext-dbg - Qt debug extensions for PyQt
Closes: 562948 567222
Changes: 
 python-qt3 (3.18.1-4) unstable; urgency=low
 .
   * Upload to unstable (Closes: #567222)
   * debian/python-qt-dev.preinst
     - Apply patch if pycentral cannot be found, thanks YOSHINO Yoshihito
       (Closes: #562948)
   * debian/README.source
     - Removed, not needed for source format "3.0 (quilt)"
   * debian/control:
     - Bumped standards version to 3.8.4
     - Adapted dependencies for new sip package names
Checksums-Sha1: 
 20667b69c3e04be0182a98ea3bedf694f5f62bf1 1745 python-qt3_3.18.1-4.dsc
 7b6dfb23f72dde6bc980f4fdb2a35f79376f34f8 13569 python-qt3_3.18.1-4.debian.tar.gz
 b1f62f8a3c2c1393a8dca3d9b1e66b5d52bae8cc 5560418 python-qt3_3.18.1-4_amd64.deb
 c4572a5dbf41b55bb4398dfecb6263a56a77b485 27563134 python-qt3-dbg_3.18.1-4_amd64.deb
 00c13a53ae310d0adc3191a4257fa827bf3d96a2 141306 python-qt3-gl_3.18.1-4_amd64.deb
 6c014d51633d48cf59e530521f8162b910be1ca8 1129194 python-qt3-gl-dbg_3.18.1-4_amd64.deb
 b3d7abe8323e7a9ef0ddbc1fa16bafb0e62c18e0 487708 python-qtext_3.18.1-4_amd64.deb
 a69061beb6b489f854c031d7b0663e352abd58d8 3325466 python-qtext-dbg_3.18.1-4_amd64.deb
 a94f9efb3527e3db5ec148d2e071d4f5bc6e9bd7 257312 pyqt-tools_3.18.1-4_amd64.deb
 e0c17764daa6a5b317b4b507072c2de0ddeaeee7 247708 python-qt-dev_3.18.1-4_all.deb
 f5f8b4b8902e3227c1248af4cfee69386a6f2ddf 346790 python-qt3-doc_3.18.1-4_all.deb
Checksums-Sha256: 
 e3aef1e90dc24fdefe8ab49cf83e0c1c3db2212db43ada5868159d483330e726 1745 python-qt3_3.18.1-4.dsc
 c209129f6803360c298d843e89bc37e782f4999a0518c0525841e59fb75d7982 13569 python-qt3_3.18.1-4.debian.tar.gz
 b419e6cda74dd528e0d86fc8dbc7e9c52a95d169117327dd30d15eff47e97405 5560418 python-qt3_3.18.1-4_amd64.deb
 0cea5964daf5c42479ccffe14aa77ac5f2593854540c9c68a34e2d1590d1437f 27563134 python-qt3-dbg_3.18.1-4_amd64.deb
 30aaaacbe3d046b2d4834dbf1a8ae955a9849721603463bfdaa93906f7b97c29 141306 python-qt3-gl_3.18.1-4_amd64.deb
 92439902b64b6d178af365dff6525e77dbe9aed544f26af9325fed11764b8881 1129194 python-qt3-gl-dbg_3.18.1-4_amd64.deb
 55a57ad665156abff24ae31a1f0a05bcd168ef9fce42b2d2ce8e35d36e60ef20 487708 python-qtext_3.18.1-4_amd64.deb
 6b288b2ce4c06b832cf8f6d53605c84ef8d413b2a4bd37613299617f097b3544 3325466 python-qtext-dbg_3.18.1-4_amd64.deb
 e84a035da2422e33a0291c3b10426f9deb81dd54e8f1d15a9c5baa8138323bc2 257312 pyqt-tools_3.18.1-4_amd64.deb
 dd70d9cf85da756bc37529b3d6052ceaecbc4aba3bd6cdaf31a9584d93560ba9 247708 python-qt-dev_3.18.1-4_all.deb
 c20d66b2925d4ece7ddb08f147f9d5e60cf0d1f9593c95d60a522f4a78177963 346790 python-qt3-doc_3.18.1-4_all.deb
Files: 
 95bdb62ee6b824c73d2ecd85b0eec415 1745 python optional python-qt3_3.18.1-4.dsc
 2e4b4a5ab7d6c3b4375000081a27dd79 13569 python optional python-qt3_3.18.1-4.debian.tar.gz
 c9f6f0348da5aa3531e5b270b8099bb9 5560418 python optional python-qt3_3.18.1-4_amd64.deb
 db026278357445021592cb2d27696a57 27563134 debug extra python-qt3-dbg_3.18.1-4_amd64.deb
 060e60b1dbd89679ea68f190611738bc 141306 python optional python-qt3-gl_3.18.1-4_amd64.deb
 68b4fadb55f7e9dc983a66234fd123ba 1129194 debug extra python-qt3-gl-dbg_3.18.1-4_amd64.deb
 66d439c363918c8ef4542e3c7af10d7f 487708 python optional python-qtext_3.18.1-4_amd64.deb
 55d70148bde48f6d9d5feddbfc609368 3325466 debug extra python-qtext-dbg_3.18.1-4_amd64.deb
 ec59d49d942dcc1828a93cbdd902774f 257312 python optional pyqt-tools_3.18.1-4_amd64.deb
 e88801a1c55d43922026425edd6f8762 247708 python optional python-qt-dev_3.18.1-4_all.deb
 b0d113e19ec90219ec159af849ec8cae 346790 doc optional python-qt3-doc_3.18.1-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktop94ACgkQfMVFHqJEyFi4mgCdGGsK7MsK9CzHQcr9yDUlLcoR
9pwAnjkHvHx7pmG5lM5SP9ZAGhel9whW
=kUVn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Jun 2010 07:33:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 00:24:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.